# Generated by Django 2.1.3 on 2020-03-19 11:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('devices', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalSysLog',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(blank=True, max_length=255, null=True, verbose_name='Usuario o dirección MAC')),
                ('log_type', models.CharField(blank=True, max_length=255, null=True, verbose_name='Tipo de Log')),
                ('message', models.TextField(blank=True, null=True, verbose_name='Mensaje')),
                ('origin', models.IntegerField(blank=True, choices=[(0, 'NO ENCONTRADO'), (1, 'ONU'), (2, 'OLT'), (3, 'MIKROTIK'), (4, 'CPE-UTP'), (5, 'RADIUS')], default=0, null=True, verbose_name='origen')),
                ('identificador', models.IntegerField(blank=True, null=True, verbose_name='pk de origen')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user_ip', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable', verbose_name='IP')),
            ],
            options={
                'verbose_name': 'historical sys log',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='SysLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(blank=True, max_length=255, null=True, verbose_name='Usuario o dirección MAC')),
                ('log_type', models.CharField(blank=True, max_length=255, null=True, verbose_name='Tipo de Log')),
                ('message', models.TextField(blank=True, null=True, verbose_name='Mensaje')),
                ('origin', models.IntegerField(blank=True, choices=[(0, 'NO ENCONTRADO'), (1, 'ONU'), (2, 'OLT'), (3, 'MIKROTIK'), (4, 'CPE-UTP'), (5, 'RADIUS')], default=0, null=True, verbose_name='origen')),
                ('identificador', models.IntegerField(blank=True, null=True, verbose_name='pk de origen')),
                ('user_ip', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='devices.IPTable', verbose_name='IP')),
            ],
            options={
                'ordering': ['-created'],
            },
        ),
    ]
